Subject: Re: What's cooking in git.git (Jun 2015, #05; Mon, 22)

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jun 2015 13:46:53 -0700

Johannes Schindelin <[email-masked]> writes:

> Hi Junio,
>
> On 2015-06-23 00:49, Junio C Hamano wrote:
>
>> * js/rebase-i-clean-up-upon-continue-to-skip (2015-06-18) 3 commits
>>  - rebase -i: do not leave a CHERRY_PICK_HEAD file behind
>>  - SQUASH: test_must_fail is a shell function
>>  - t3404: demonstrate CHERRY_PICK_HEAD bug
>> 
>>  Abandoning an already applied change in "git rebase -i" with
>>  "--continue" left CHERRY_PICK_HEAD and confused later steps.
>> 
>>  Expecting a reroll.
>>  ($gmane/271856)
>
> Actually, there had been two re-rolls, and v3 seemed to be okay:
> $gmane/272037. It also looks as if 726a35ebd^..726a35ebd^2 is
> identical with v3... Anything you want me to change in addition?

Thanks for a pointer; I think I updated the topic and then forgot to
update the reference in "whats cooking".  I'll take a look at 272037
and if I have anything further will comment there.

> Also:
>
>> * js/fsck-opt (2015-06-22) 19 commits
>>  - fsck: support ignoring objects in `git fsck` via fsck.skiplist
>>  - fsck: git receive-pack: support excluding objects from fsck'ing
>>  - fsck: introduce `git fsck --connectivity-only`
>>  - fsck: support demoting errors to warnings
>>  - fsck: document the new receive.fsck.<msg-id> options
>>  - fsck: allow upgrading fsck warnings to errors
>>  - fsck: optionally ignore specific fsck issues completely
>>  - fsck: disallow demoting grave fsck errors to warnings
>>  - fsck: add a simple test for receive.fsck.<msg-id>
>>  - fsck: make fsck_tag() warn-friendly
>>  - fsck: handle multiple authors in commits specially
>>  - fsck: make fsck_commit() warn-friendly
>>  - fsck: make fsck_ident() warn-friendly
>>  - fsck: report the ID of the error/warning
>>  - fsck (receive-pack): allow demoting errors to warnings
>>  - fsck: offer a function to demote fsck errors to warnings
>>  - fsck: provide a function to parse fsck message IDs
>>  - fsck: introduce identifiers for fsck messages
>>  - fsck: introduce fsck options
>> 
>>  Rerolled (at v7) and seems more or less ready for 'next'.
>
> I see that you used `downcased` instead of my `lowercased`, which
> makes more sense, but the style of the multi-line `for` loop as per
> pu` is still as *I* wrote it... I also saw that you downcased the
> first letter after `fsck:` in the commit messages, and touched up the
> message of the "report the ID of the error/warning" commit. Do you
> want to touch up the `for` loop style in "offer a function to demote
> fsck errors to warnings" or shall I send a v8 (it is ready to go:
> https://github.com/dscho/git/compare/next...fsck-api)?

I often micro-tweak obvious things as I go over the series and
applying them one by one, but the for-layout was a kind of change
that I usually do not tweak during application (as there are larger
chances of causing unneeded conflicts with later patches, and at the
point of applying an earlier patch, I may not remember what I
learned by skimming later patches in the series) and left there.

If the for-layout is the only thing that is questionable thing to
fix in what I queued, I think I can locally fix-up without an extra
roundtrip.  

Thanks.